uuid: 1e1a5459-f071-4d7c-a6f2-5c0521d7a7c3
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_simplenews
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Newsletter)'
source:
  plugin: d7_node
  node_type: simplenews
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_simplenews/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_simplenews_term:
    -
      plugin: sub_process
      source: field_simplenews_term
      process:
        target_id: tid
  field_news_image:
    -
      plugin: sub_process
      source: field_news_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_month:
    -
      plugin: sub_process
      source: field_month
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d\TH:i:s'
          to_format: Y-m-d
          source: value
  field_news_file:
    -
      plugin: field_link
      source: field_news_file
destination:
  plugin: 'entity:node'
  default_bundle: simplenews
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
